%define pkgname rbtree
Summary:	Ruby/RBTree
Name:		ruby-%{pkgname}
Version:	0.4.2
Release:	4
License:	BSD
Group:		Development/Languages
Source0:	https://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	096e8561315e2c382405369391510b93
URL:		http://rbtree.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RBTree is a sorted associative collection that is implemented with
Red-Black Tree. The elements of RBTree are ordered and its interface
is the almost same as Hash, so simply you can consider RBTree sorted
Hash.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__ruby} extconf.rb \
	--vendor

%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README test.rb
%attr(755,root,root) %{ruby_vendorarchdir}/rbtree.so
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rbtree.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 53dbf11
- release 4 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 0382d88
- rebuild with ruby 2.4
- release 3 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> 7b2927f
- rebuild with ruby 2.3
- release 2 (by relup.sh)

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 85f9d1e
- up to 0.4.2; Ruby 2.1.0 build fixes

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 4fb10b3
- x32 rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> e64fc52
- rebuild for ruby 2.0
- release 3 (by relup.sh)

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> 9aa80c3
- build to vendor dir

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> cc384b6
- extconf builds need ruby-devel too

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> 975307a
- ruby build deps

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> b61dfdc
- one installjob

* Tue Feb 08 2011 Elan Ruusamäe <glen@pld-linux.org> d57b45e
- new

